Loading...
Searching...
No Matches
cpe_generator Struct Reference
CPE » CPE Dictionary

Structure with information about document. More...

`#include <cpe_dict.h>`

## Public Member Functions

OSCAP_API void | cpe_generator_free (struct cpe_generator *generator)
OSCAP_API struct cpe_generator * | cpe_generator_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | cpe_generator_get_product_name (const struct cpe_generator *item)
| cpe_generator functions to get product name
OSCAP_API const char * | cpe_generator_get_product_version (const struct cpe_generator *item)
| cpe_generator functions to get product version
OSCAP_API const char * | cpe_generator_get_schema_version (const struct cpe_generator *item)
| cpe_generator functions to get document schema version
OSCAP_API const char * | cpe_generator_get_timestamp (const struct cpe_generator *item)
| cpe_generator functions to get timestamp from generator
OSCAP_API struct cpe_generator * | cpe_dict_model_get_generator (const struct cpe_dict_model *item)
| cpe_dict_model functions to get generator from CPE dictionary model
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | cpe_generator_set_product_name (struct cpe_generator *generator, const char *new_product_name)
OSCAP_API bool | cpe_generator_set_product_version (struct cpe_generator *generator, const char *new_product_version)
OSCAP_API bool | cpe_generator_set_schema_version (struct cpe_generator *generator, const char *new_schema_version)
OSCAP_API bool | cpe_generator_set_timestamp (struct cpe_generator *generator, const char *new_timestamp)

## Data Fields

char * | product_name
char * | product_version
char * | schema_version
char * | timestamp

## Detailed Description

Structure with information about document.

The documentation for this struct was generated from the following files:

- cpedict_priv.c
- cpe_dict.h